<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/KitBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/da9/_kit_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">KitBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/da9/_kit_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d49/class_kit_base.html">KitBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    ref <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>       <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aac4329cf00a7cb6b421f00a6344662b8">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                  <a class="code hl_variable" href="../../de/d7a/class_item_base.html#aac4329cf00a7cb6b421f00a6344662b8">m_DeployedRegularly</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a89e785f959fb957760ef8b4f5b21717f">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a89e785f959fb957760ef8b4f5b21717f">KitBase</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a>(<span class="stringliteral">&quot;m_IsSoundSynchRemote&quot;</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a>(<span class="stringliteral">&quot;m_IsDeploySound&quot;</span>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a77d4e32457f0358f7d81c57b404328ff">   12</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a77d4e32457f0358f7d81c57b404328ff">~KitBase</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">DestroyEffect</a>( <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a1adcaf26bc884195404870037a80f5d0">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a1adcaf26bc884195404870037a80f5d0">IsBasebuildingKit</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a32a9b9ac76f9d2c1b4fdfb4641e31bd2">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a32a9b9ac76f9d2c1b4fdfb4641e31bd2">HasProxyParts</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ad8e3dac9c85d36fb0fb0aae911640de7">IsDeploySound</a>() )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#aba2d631a211d0bcf638311fe3507a82b">PlayDeploySound</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a>() )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a571ec89bf4d6c2c296b56290d6d62f1e">PlayDeployLoopSound</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> &amp;&amp; !<a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a>() )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_function" href="../../dd/dd8/_trap_base_8c.html#a581d53c0b9a95438b7642f051a706325">StopDeployLoopSound</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> ( m_DeployedRegularly &amp;&amp; <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#af1d1c716a7689f765e04bdfc342c5488">IsSoundSynchRemote</a>() )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ad12e9214729bf3aa5b60bb6f7bc4a192">PlayDeployFinishSound</a>();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#ab567e8645c3fa347625b560a24329100">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ab567e8645c3fa347625b560a24329100">EEInit</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        super.EEInit();</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="comment">//set visual on init</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a>();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#ac0df1afe46fb4d9b870c8f8b282dd5d1">UpdatePhysics</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#ga32e05515215d4ff50969513ff6d88310">CALL_CATEGORY_GAMEPLAY</a> ).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#aa3b6f9bf12bd4762b836f733eec0f05d">Call</a>( AssembleKit );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a64eb4f9ab60855506d97c68624e4f3a6">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a64eb4f9ab60855506d97c68624e4f3a6">DisassembleOnLastDetach</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aa2c88101ae86a6bd233311da32fabd85">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aa2c88101ae86a6bd233311da32fabd85">EEItemDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        super.EEItemDetached( item, slot_name );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5cb4d09ae9787dc1a382646589bdec7">GetHierarchyRootPlayer</a>());</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( player &amp;&amp; player.IsPlayerDisconnected() )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> (item &amp;&amp; slot_name == <span class="stringliteral">&quot;Rope&quot;</span>)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() &amp;&amp; !m_DeployedRegularly)</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                <a class="code hl_function" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(item));</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a3410e40abb43d2e9de4813b76776279b">Delete</a>();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a3c646d607f08272fcf9232605dedb7e5">   86</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a3c646d607f08272fcf9232605dedb7e5">OnItemLocationChanged</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_owner, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_owner ) </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        super.OnItemLocationChanged( old_owner, new_owner );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="comment">//update visuals after location change</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#ac0df1afe46fb4d9b870c8f8b282dd5d1">UpdatePhysics</a>();</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#afbd65488a265c6cd322fe4e05ec66190">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#afbd65488a265c6cd322fe4e05ec66190">OnEndPlacement</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        m_DeployedRegularly = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#a81fe165b06f6ee295734a4f62791f35f">SoundSynchRemote</a>();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a8e5ea5acbe63e1f4cc8ba84cfbb6e51d">  100</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a8e5ea5acbe63e1f4cc8ba84cfbb6e51d">OnPlacementCancelled</a>( Man player )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        super.OnPlacementCancelled(player);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        m_DeployedRegularly = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aed45677f6aebd244234ee267473e0e08">  106</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aed45677f6aebd244234ee267473e0e08">IsDeployable</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a774d338f1aabc9ed33178e84e41cd5f4">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a774d338f1aabc9ed33178e84e41cd5f4">CanAssignAttachmentsToQuickbar</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a74a21a7450840c0b2df85dd317a42dc2">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a74a21a7450840c0b2df85dd317a42dc2">GetDeploySoundset</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;putDown_FenceKit_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#abac54c4c1f0ffd2fe814cae0f2338e76">  121</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#abac54c4c1f0ffd2fe814cae0f2338e76">GetLoopDeploySoundset</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="comment">//return &quot;BarbedWire_Deploy_loop_SoundSet&quot;;</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Shelter_Site_Build_Loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a2b75e6291258a154543ab25e26f4983e">  127</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a2b75e6291258a154543ab25e26f4983e">GetDeployFinishSoundset</a>()</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aa716a563148908bfa79746ddf15aa6f2">  132</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aa716a563148908bfa79746ddf15aa6f2">RefreshPhysics</a>()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        super.RefreshPhysics();</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#ac0df1afe46fb4d9b870c8f8b282dd5d1">UpdatePhysics</a>();</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    <span class="comment">//Update visuals and physics</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a168f6c400289a40423bbefa2a63d3cbb">  140</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a168f6c400289a40423bbefa2a63d3cbb">UpdateVisuals</a>()</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        SetAnimationPhase( <span class="stringliteral">&quot;Inventory&quot;</span>, 0 );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        SetAnimationPhase( <span class="stringliteral">&quot;Placing&quot;</span>, 1 );</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#aba8fe0ae56928062e61fe8d7f616ae0d">  146</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#aba8fe0ae56928062e61fe8d7f616ae0d">UpdatePhysics</a>()</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    {</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a>( <span class="stringliteral">&quot;Inventory&quot;</span> );</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a>( <span class="stringliteral">&quot;Placing&quot;</span> );        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a453690384e23c2febdcd476b428cde93">  152</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a453690384e23c2febdcd476b428cde93">PlayDeployLoopSound</a>()</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {       </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {       </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> || !<a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#abf2e5207cf74b01295801ff9cbc6f7cd">IsSoundPlaying</a>() )</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a> = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">PlaySound</a>( <a class="code hl_function" href="../../d3/d49/class_kit_base.html#aea86a040a0925259aaab42f2b755ba5d">GetLoopDeploySoundset</a>(), <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() );</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#adb9bc43b2a117c59266dbb169596ab70">  163</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#adb9bc43b2a117c59266dbb169596ab70">StopDeployLoopSound</a>()</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() )</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        {   </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">SetSoundFadeOut</a>(0.5);</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <a class="code hl_variable" href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">SoundStop</a>();</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#ab89132f72275790bf79b17d057166dfb">  172</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#ab89132f72275790bf79b17d057166dfb">AssembleKit</a>()</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02c3b4a9ed40f2c1136ad96a467d8b54">IsHologram</a>())</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            Rope rope = Rope.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().CreateAttachment(<span class="stringliteral">&quot;Rope&quot;</span>));</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>    }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a56d4b5f20d9a675fc9b8cb06b7f16741">  180</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a56d4b5f20d9a675fc9b8cb06b7f16741">DisassembleKit</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item) {}</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a50d0d346325175ede994acfc7cfc1523">  182</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a50d0d346325175ede994acfc7cfc1523">CreateRope</a>(Rope rope)</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">if</span> (!rope)</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> targetLoc = rope.GetTargetLocation();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">if</span> (targetLoc &amp;&amp; targetLoc.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">GetType</a>() != <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a>.GROUND)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            MiscGameplayFunctions.TransferItemProperties(<span class="keyword">this</span>, rope);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> newRope = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast(<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().CreateObjectEx(rope.GetType(), <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), <a class="code hl_variable" href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a>));</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordflow">if</span> (newRope)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            MiscGameplayFunctions.TransferItemProperties(<span class="keyword">this</span>, newRope);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        rope.Delete();</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    }</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">  202</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">SetActions</a>()</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>    {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        super.SetActions();</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a>);</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a>);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a02c3b4a9ed40f2c1136ad96a467d8b54"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a02c3b4a9ed40f2c1136ad96a467d8b54">IsHologram</a></div><div class="ttdeci">override bool IsHologram()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01380">EntityAI.c:1380</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a3410e40abb43d2e9de4813b76776279b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a3410e40abb43d2e9de4813b76776279b">Delete</a></div><div class="ttdeci">override void Delete()</div><div class="ttdoc">Delete this object in next frame.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00590">EntityAI.c:590</a></div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_af5cb4d09ae9787dc1a382646589bdec7"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#af5cb4d09ae9787dc1a382646589bdec7">GetHierarchyRootPlayer</a></div><div class="ttdeci">proto native Man GetHierarchyRootPlayer()</div><div class="ttdoc">Returns root of current hierarchy cast to Man.</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_afb6510561e4a0b604c0e34b3a726945f"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#afb6510561e4a0b604c0e34b3a726945f">RegisterNetSyncVariableBool</a></div><div class="ttdeci">proto native void RegisterNetSyncVariableBool(string variableName)</div></div>
<div class="ttc" id="a_action_deploy_object_8c_html_a1eb6c584b29789b9c360df2d769c22a8"><div class="ttname"><a href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a></div><div class="ttdeci">PlaceObjectActionReciveData ActionReciveData ActionDeployObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d59/_action_deploy_object_8c_source.html#l00001">ActionDeployObject.c:9</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_central_economy_8c_html_a4389063907bd8acede7114e3887d6102"><div class="ttname"><a href="../../db/d35/_central_economy_8c.html#a4389063907bd8acede7114e3887d6102">ECE_PLACE_ON_SURFACE</a></div><div class="ttdeci">const int ECE_PLACE_ON_SURFACE</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d35/_central_economy_8c_source.html#l00034">CentralEconomy.c:34</a></div></div>
<div class="ttc" id="a_construction_8c_html_a57ed5d4223f68511e3c487a0487b5573"><div class="ttname"><a href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a></div><div class="ttdeci">void UpdateVisuals()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df0/_construction_8c_source.html#l00188">Construction.c:188</a></div></div>
<div class="ttc" id="a_construction_8c_html_ac0df1afe46fb4d9b870c8f8b282dd5d1"><div class="ttname"><a href="../../de/df0/_construction_8c.html#ac0df1afe46fb4d9b870c8f8b282dd5d1">UpdatePhysics</a></div><div class="ttdeci">void UpdatePhysics()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df0/_construction_8c_source.html#l00207">Construction.c:207</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_inventory_location_8c_html_ad09049fb2b99c763369bfe6228aa81b3"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a></div><div class="ttdeci">InventoryLocationType</div><div class="ttdoc">types of Inventory Location</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00003">InventoryLocation.c:4</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a28cc789c567c999c2c94d87f6006e16a"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a28cc789c567c999c2c94d87f6006e16a">CanPlayDeployLoopSound</a></div><div class="ttdeci">bool CanPlayDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09099">ItemBase.c:9099</a></div></div>
<div class="ttc" id="a_item_base_8c_html_a81fe165b06f6ee295734a4f62791f35f"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#a81fe165b06f6ee295734a4f62791f35f">SoundSynchRemote</a></div><div class="ttdeci">void SoundSynchRemote()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09020">ItemBase.c:9020</a></div></div>
<div class="ttc" id="a_item_base_8c_html_aba2d631a211d0bcf638311fe3507a82b"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#aba2d631a211d0bcf638311fe3507a82b">PlayDeploySound</a></div><div class="ttdeci">void PlayDeploySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09072">ItemBase.c:9072</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ad12e9214729bf3aa5b60bb6f7bc4a192"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ad12e9214729bf3aa5b60bb6f7bc4a192">PlayDeployFinishSound</a></div><div class="ttdeci">void PlayDeployFinishSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09081">ItemBase.c:9081</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ad8e3dac9c85d36fb0fb0aae911640de7"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ad8e3dac9c85d36fb0fb0aae911640de7">IsDeploySound</a></div><div class="ttdeci">bool IsDeploySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09067">ItemBase.c:9067</a></div></div>
<div class="ttc" id="a_item_base_8c_html_af1d1c716a7689f765e04bdfc342c5488"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#af1d1c716a7689f765e04bdfc342c5488">IsSoundSynchRemote</a></div><div class="ttdeci">bool IsSoundSynchRemote()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l09027">ItemBase.c:9027</a></div></div>
<div class="ttc" id="a_object_8c_html_a1e9dff40d480cad820892146a91dc68e"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a1e9dff40d480cad820892146a91dc68e">AddProxyPhysics</a></div><div class="ttdeci">proto native void AddProxyPhysics(string proxySelectionName)</div></div>
<div class="ttc" id="a_object_8c_html_ac654369164252566a49639d8d4e49bf3"><div class="ttname"><a href="../../dd/d93/_object_8c.html#ac654369164252566a49639d8d4e49bf3">RemoveProxyPhysics</a></div><div class="ttdeci">proto native void RemoveProxyPhysics(string proxySelectionName)</div></div>
<div class="ttc" id="a_trap_base_8c_html_a045f8057c23e1381de727ba2b84d7222"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a045f8057c23e1381de727ba2b84d7222">m_DeployLoopSound</a></div><div class="ttdeci">protected ref EffectSound m_DeployLoopSound</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00047">TrapBase.c:47</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a571ec89bf4d6c2c296b56290d6d62f1e"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a571ec89bf4d6c2c296b56290d6d62f1e">PlayDeployLoopSound</a></div><div class="ttdeci">void PlayDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00663">TrapBase.c:663</a></div></div>
<div class="ttc" id="a_trap_base_8c_html_a581d53c0b9a95438b7642f051a706325"><div class="ttname"><a href="../../dd/dd8/_trap_base_8c.html#a581d53c0b9a95438b7642f051a706325">StopDeployLoopSound</a></div><div class="ttdeci">void StopDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/_trap_base_8c_source.html#l00673">TrapBase.c:673</a></div></div>
<div class="ttc" id="aclass_action_toggle_place_object_html"><div class="ttname"><a href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daf/_action_toggle_place_object_8c_source.html#l00001">ActionTogglePlaceObject.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01311">Game.c:1311</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_aba775f922c1ae706e7ac100750786cff"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#aba775f922c1ae706e7ac100750786cff">EffectSound::SetSoundFadeOut</a></div><div class="ttdeci">void SetSoundFadeOut(float fade_out)</div><div class="ttdoc">Set the sound fade out duration.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00870">EffectSound.c:870</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_abf2e5207cf74b01295801ff9cbc6f7cd"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#abf2e5207cf74b01295801ff9cbc6f7cd">EffectSound::IsSoundPlaying</a></div><div class="ttdeci">bool IsSoundPlaying()</div><div class="ttdoc">Get whether EffectSound is currently playing.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00265">EffectSound.c:265</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_afb3e761198a4167f611442d60925e1e7"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#afb3e761198a4167f611442d60925e1e7">EffectSound::SoundStop</a></div><div class="ttdeci">void SoundStop()</div><div class="ttdoc">Stops sound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00211">EffectSound.c:211</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_af47a618941989bcedd7ee33dd3c45721"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">InventoryLocation::GetType</a></div><div class="ttdeci">proto native int GetType()</div><div class="ttdoc">returns type of InventoryLocation</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_item_base_html_a168f6c400289a40423bbefa2a63d3cbb"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a168f6c400289a40423bbefa2a63d3cbb">ItemBase::UpdateVisuals</a></div><div class="ttdeci">void UpdateVisuals()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00140">KitBase.c:140</a></div></div>
<div class="ttc" id="aclass_item_base_html_a1adcaf26bc884195404870037a80f5d0"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a1adcaf26bc884195404870037a80f5d0">ItemBase::IsBasebuildingKit</a></div><div class="ttdeci">override bool IsBasebuildingKit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00017">KitBase.c:17</a></div></div>
<div class="ttc" id="aclass_item_base_html_a2b75e6291258a154543ab25e26f4983e"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a2b75e6291258a154543ab25e26f4983e">ItemBase::GetDeployFinishSoundset</a></div><div class="ttdeci">override string GetDeployFinishSoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00127">KitBase.c:127</a></div></div>
<div class="ttc" id="aclass_item_base_html_a32a9b9ac76f9d2c1b4fdfb4641e31bd2"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a32a9b9ac76f9d2c1b4fdfb4641e31bd2">ItemBase::HasProxyParts</a></div><div class="ttdeci">override bool HasProxyParts()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00022">KitBase.c:22</a></div></div>
<div class="ttc" id="aclass_item_base_html_a3c646d607f08272fcf9232605dedb7e5"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a3c646d607f08272fcf9232605dedb7e5">ItemBase::OnItemLocationChanged</a></div><div class="ttdeci">override void OnItemLocationChanged(EntityAI old_owner, EntityAI new_owner)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00086">KitBase.c:86</a></div></div>
<div class="ttc" id="aclass_item_base_html_a453690384e23c2febdcd476b428cde93"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a453690384e23c2febdcd476b428cde93">ItemBase::PlayDeployLoopSound</a></div><div class="ttdeci">void PlayDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00152">KitBase.c:152</a></div></div>
<div class="ttc" id="aclass_item_base_html_a45bcceec0acd0ccdc9d6afd42d4e839a"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a45bcceec0acd0ccdc9d6afd42d4e839a">ItemBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00202">KitBase.c:202</a></div></div>
<div class="ttc" id="aclass_item_base_html_a50d0d346325175ede994acfc7cfc1523"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a50d0d346325175ede994acfc7cfc1523">ItemBase::CreateRope</a></div><div class="ttdeci">void CreateRope(Rope rope)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00182">KitBase.c:182</a></div></div>
<div class="ttc" id="aclass_item_base_html_a56d4b5f20d9a675fc9b8cb06b7f16741"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a56d4b5f20d9a675fc9b8cb06b7f16741">ItemBase::DisassembleKit</a></div><div class="ttdeci">void DisassembleKit(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00180">KitBase.c:180</a></div></div>
<div class="ttc" id="aclass_item_base_html_a64eb4f9ab60855506d97c68624e4f3a6"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a64eb4f9ab60855506d97c68624e4f3a6">ItemBase::DisassembleOnLastDetach</a></div><div class="ttdeci">override bool DisassembleOnLastDetach()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00063">KitBase.c:63</a></div></div>
<div class="ttc" id="aclass_item_base_html_a74a21a7450840c0b2df85dd317a42dc2"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a74a21a7450840c0b2df85dd317a42dc2">ItemBase::GetDeploySoundset</a></div><div class="ttdeci">override string GetDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00116">KitBase.c:116</a></div></div>
<div class="ttc" id="aclass_item_base_html_a774d338f1aabc9ed33178e84e41cd5f4"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a774d338f1aabc9ed33178e84e41cd5f4">ItemBase::CanAssignAttachmentsToQuickbar</a></div><div class="ttdeci">override bool CanAssignAttachmentsToQuickbar()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00111">KitBase.c:111</a></div></div>
<div class="ttc" id="aclass_item_base_html_a77d4e32457f0358f7d81c57b404328ff"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a77d4e32457f0358f7d81c57b404328ff">ItemBase::~KitBase</a></div><div class="ttdeci">void ~KitBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00012">KitBase.c:12</a></div></div>
<div class="ttc" id="aclass_item_base_html_a89e785f959fb957760ef8b4f5b21717f"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a89e785f959fb957760ef8b4f5b21717f">ItemBase::KitBase</a></div><div class="ttdeci">void KitBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00006">KitBase.c:6</a></div></div>
<div class="ttc" id="aclass_item_base_html_a8e5ea5acbe63e1f4cc8ba84cfbb6e51d"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a8e5ea5acbe63e1f4cc8ba84cfbb6e51d">ItemBase::OnPlacementCancelled</a></div><div class="ttdeci">override void OnPlacementCancelled(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00100">KitBase.c:100</a></div></div>
<div class="ttc" id="aclass_item_base_html_aa2c88101ae86a6bd233311da32fabd85"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aa2c88101ae86a6bd233311da32fabd85">ItemBase::EEItemDetached</a></div><div class="ttdeci">override void EEItemDetached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00068">KitBase.c:68</a></div></div>
<div class="ttc" id="aclass_item_base_html_aa5c630f3e789c5bf07b46ce04e859546"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aa5c630f3e789c5bf07b46ce04e859546">ItemBase::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00027">KitBase.c:27</a></div></div>
<div class="ttc" id="aclass_item_base_html_aa716a563148908bfa79746ddf15aa6f2"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aa716a563148908bfa79746ddf15aa6f2">ItemBase::RefreshPhysics</a></div><div class="ttdeci">override void RefreshPhysics()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00132">KitBase.c:132</a></div></div>
<div class="ttc" id="aclass_item_base_html_aac4329cf00a7cb6b421f00a6344662b8"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aac4329cf00a7cb6b421f00a6344662b8">ItemBase::m_DeployedRegularly</a></div><div class="ttdeci">protected bool m_DeployedRegularly</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00004">KitBase.c:4</a></div></div>
<div class="ttc" id="aclass_item_base_html_ab567e8645c3fa347625b560a24329100"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ab567e8645c3fa347625b560a24329100">ItemBase::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00052">KitBase.c:52</a></div></div>
<div class="ttc" id="aclass_item_base_html_ab89132f72275790bf79b17d057166dfb"><div class="ttname"><a href="../../de/d7a/class_item_base.html#ab89132f72275790bf79b17d057166dfb">ItemBase::AssembleKit</a></div><div class="ttdeci">void AssembleKit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00172">KitBase.c:172</a></div></div>
<div class="ttc" id="aclass_item_base_html_aba8fe0ae56928062e61fe8d7f616ae0d"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aba8fe0ae56928062e61fe8d7f616ae0d">ItemBase::UpdatePhysics</a></div><div class="ttdeci">void UpdatePhysics()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00146">KitBase.c:146</a></div></div>
<div class="ttc" id="aclass_item_base_html_abac54c4c1f0ffd2fe814cae0f2338e76"><div class="ttname"><a href="../../de/d7a/class_item_base.html#abac54c4c1f0ffd2fe814cae0f2338e76">ItemBase::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00121">KitBase.c:121</a></div></div>
<div class="ttc" id="aclass_item_base_html_adb9bc43b2a117c59266dbb169596ab70"><div class="ttname"><a href="../../de/d7a/class_item_base.html#adb9bc43b2a117c59266dbb169596ab70">ItemBase::StopDeployLoopSound</a></div><div class="ttdeci">void StopDeployLoopSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00163">KitBase.c:163</a></div></div>
<div class="ttc" id="aclass_item_base_html_aed45677f6aebd244234ee267473e0e08"><div class="ttname"><a href="../../de/d7a/class_item_base.html#aed45677f6aebd244234ee267473e0e08">ItemBase::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00106">KitBase.c:106</a></div></div>
<div class="ttc" id="aclass_item_base_html_afbd65488a265c6cd322fe4e05ec66190"><div class="ttname"><a href="../../de/d7a/class_item_base.html#afbd65488a265c6cd322fe4e05ec66190">ItemBase::OnEndPlacement</a></div><div class="ttdeci">override void OnEndPlacement()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/da9/_kit_base_8c_source.html#l00094">KitBase.c:94</a></div></div>
<div class="ttc" id="aclass_kit_base_html"><div class="ttname"><a href="../../d3/d49/class_kit_base.html">KitBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/de8/_fence_kit_8c_source.html#l00001">FenceKit.c:2</a></div></div>
<div class="ttc" id="aclass_kit_base_html_a9ff414a7884f5cf3ffe94eefb246b335"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">KitBase::DisassembleKit</a></div><div class="ttdeci">override void DisassembleKit(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/de8/_fence_kit_8c_source.html#l00048">FenceKit.c:48</a></div></div>
<div class="ttc" id="aclass_kit_base_html_aea86a040a0925259aaab42f2b755ba5d"><div class="ttname"><a href="../../d3/d49/class_kit_base.html#aea86a040a0925259aaab42f2b755ba5d">KitBase::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/_shelter_kit_8c_source.html#l00051">ShelterKit.c:51</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aa05a7b24ec51456db8c32cf2e4b099ef"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aa05a7b24ec51456db8c32cf2e4b099ef">SEffectManager::PlaySound</a></div><div class="ttdeci">static EffectSound PlaySound(string sound_set, vector position, float play_fade_in=0, float stop_fade_out=0, bool loop=false)</div><div class="ttdoc">Create and play an EffectSound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00165">EffectManager.c:165</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_aec7ef95de317ab1011f04c6c5c496248"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#aec7ef95de317ab1011f04c6c5c496248">SEffectManager::DestroyEffect</a></div><div class="ttdeci">static void DestroyEffect(Effect effect)</div><div class="ttdoc">Unregisters, stops and frees the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00267">EffectManager.c:267</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_aa3b6f9bf12bd4762b836f733eec0f05d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#aa3b6f9bf12bd4762b836f733eec0f05d">ScriptCallQueue::Call</a></div><div class="ttdeci">proto void Call(func fn, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_ga32e05515215d4ff50969513ff6d88310"><div class="ttname"><a href="../../d9/dc3/group___tools.html#ga32e05515215d4ff50969513ff6d88310">CALL_CATEGORY_GAMEPLAY</a></div><div class="ttdeci">const int CALL_CATEGORY_GAMEPLAY</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00010">tools.c:10</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d0/da9/_kit_base_8c.html">KitBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
